sailpoint.object

## Class Rule.RuleTypeComparator

- java.lang.Object
- - sailpoint.object.Rule.RuleTypeComparator

All Implemented Interfaces:
  java.util.Comparator<Rule.Type>

Enclosing interface:
  Rule

    public static class Rule.RuleTypeComparator
    extends java.lang.Object
    implements java.util.Comparator<Rule.Type>

### Constructor Summary

Constructors
Constructor and Description
`RuleTypeComparator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(Rule.Type t1, Rule.Type t2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### RuleTypeComparator

    public RuleTypeComparator()

### Method Detail

#### compare

    public int compare(Rule.Type t1,
                       Rule.Type t2)

Specified by:
  `compare` in interface `java.util.Comparator<Rule.Type>`